Subject: hdparm rules use DEVNAME only

From: Ralph Ronnquist <[email-masked]>
Date: Mon, 25 Jun 2018 21:56:31 +1000

Package: eudev
Version: 3.2.2-13

Lodged on behalf of @kalle-delhaye:
https://dev1galaxy.org/viewtopic.php?pid=10379#p10379

""""
One week later - I've found the (or my?) fault.

When I upgraded my server from Debian Jessie to Devuan Ascii i reused 
the working settings in hdparm.conf.
But in Ascii, hdparm.conf is read by a script started by a eudev rule 
and is working with /dev/sd? definitions only.
No /dev/disk/by-label, no /dev/disk/by-uuid or any other links in /dev/disk.

That's because the little eudev script reading hdparm.conf is using only 
the $DEVNAME environment variable from eudev to parse the settings. And 
$DEVNAME is /dev/sda, for example.

The sd? links in /dev can change for a specific disk, so I think its not 
a good idea to remove the by-label or by-uuid posibilities from hdparm.conf.
As a workaround you can make your own eudev rule for partitions using 
the variable $ID_FS_LABEL or $ID_FS_UUID for example.
I will try this when I find some time.
""""

Ralph.